
#include "STC12C5A60S2.h"
#include  <intrins.h>
#include "stdio.h"
#include "string.h"
#include "ps2.h"

//SPIͨŵ
//޸ĶӦIO
sbit  DATA=P0^2;	   //൱DI/MOS
sbit  CMND=P0^3;       //൱DO/MIS
sbit  ATT=P0^1;        //൱Ƭѡź
sbit  CLK=P0^4;        //൱ʱź

//ʼPS2ʱҪֱͨ͵õ
uchar code lx1[5]={0x01,0x43,0x00,0x01,0x00};						// ģʽ
uchar code lx2[9]={0x01,0x44,0x00,0x01,0x03,0x00,0x00,0x00,0x00}; 	// ģʽ
uchar code lx3[9]={0x01,0x4f,0x00,0xff,0xff,0x03,0x00,0x00,0x00}; 	// ֽڳ
uchar code lx4[9]={0x01,0x43,0x00,0x00,0x5A,0x5A,0x5A,0x5A,0x5A}; 	// ˳ģʽ

//Ҫֱ
uchar code scan[9]={0x01,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00};//{0x01,0x42,0x00,0x5A,0x5A,0x5A,0x5A,0x5A,0x5A};	// Ͷȡ
//洢ֱֻ
uchar  out[9];
//Ҫdata[3]data[4]ֱİֵ	    
uint FunBtn = 0xffff;
		   	
stPS2KeyValue stPS2key;
stPS2KeyValue * stPS2 = &stPS2key;

/**
* Function       delayms
* @author        Danny
* @date          2017.08.16
* @brief         ʱ
* @param         xmsʱʱ䣨ms
* @retval        void
* @par History   
*/	
void delayms(uint xms)	         
{
	uint i,j;   
    for(i=xms;i>0;i--)
		for(j=850;j>0;j--);
}

/**
* Function       delay
* @author        Danny
* @date          2017.08.16
* @brief         ʱ
* @param         ʱһָ
* @retval        void
* @par History   
*/	

static void delay(uint n) 		  //ʱ׼ȷ
{
	uint i;
	for(i=0;i<=n;i++) 
		_nop_();                 //ָʱһָ
		_nop_();	
		_nop_();
		_nop_();
		_nop_();
		_nop_();
		_nop_();
		_nop_();	
		_nop_();
		_nop_();
		_nop_();
		_nop_();
		_nop_();
		_nop_();	
		_nop_();				
}


/**
* Function       spi_write
* @author        Danny
* @date          2017.08.16
* @brief         SPIֱдһ
* @param         command:Ҫд뵽ֱ
* @retval        void
* @par History   
*/
void spi_write(uchar command)			 
{
    uchar i;
    for(i=0; i<=7; i++)              //һλһλдSPI 
    {
		if(command&0x01)	         //ȡдݵұߵһλ
			CMND=1;                  //ӻ
			else
			CMND=0;
		command=command>>1;         //Ҫдһλ
		_nop_();	                //ҪʱΪ̫Ӧ
		_nop_();
		CLK=0;                      //д
		delay(10*10);                   
		CLK=1;
		delay(1*10);
    }
	CMND=1;
}

/**
* Function       spi_read
* @author        Danny
* @date          2017.08.16
* @brief         SPIжһ
* @param         void
* @retval        void
* @par History   
*/
static uchar spi_read(uchar command)      
{
    uchar i,j=1;
	uchar res=0; 
    for(i=0; i<=7; i++)          
    {
		if(command&0x01)             //һλһλĴSPIжȡ
			CMND=1;					 //ӳ
		else
			CMND=0;
		command = command >> 1;     //Ҫһλ
		_nop_();	                //ҪʱΪ̫Ӧ
		_nop_();
		CLK=0;
		delay(2);
		if(DATA)                   //DATAΪĻӻ루ģ鷢ͳݣҲǴSPIжһݣ
		res = res + j;
		j=j<<1; 
		CLK=1;
		delay(5);		 
    }
    CMND=1;
    return res;	                   //resǶ,Ҳֱ
}
 
/**
* Function       PS2_Init
* @author        Danny
* @date          2017.08.16
* @brief         PS2ʼ
* @param         void
* @retval        void
* @par History   
*/	
void PS2_Init()
{
    uchar i =0;
    //outʼ
	for(i=0; i<9; i++)  	
	{
    	out[i]=0x00;	
	}
	  
	//Ƭѡź,ӻͨŵĹҪƬѡ͵
	ATT=0;
	delay(7);
	for(i=0;i<9;i++)	
	{
		out[i]=spi_read(scan[i]);
		delay(7);
	} 
	ATT=1;
	delayms(15);
 
   	//Ƭѡź,ӻͨŵĹҪƬѡ͵
	//ֱͨдֱ
	ATT=0;
	delay(7);
	for(i=0; i<5; i++)  
	{
		spi_write(lx1[i]);		   //ģʽ
		delay(7);	
	} 
    ATT=1;
	delayms(8); 

    //Ƭѡź,ӻͨŵĹҪƬѡ͵
	//ֱͨдֱ
	ATT=0;
	delay(7);
	for(i=0; i<9; i++)	 		  //ģʽ
	{
		spi_write(lx2[i]);
		delay(7);																
	} 
	ATT=1;
	delayms(8); 

    //Ƭѡź,ӻͨŵĹҪƬѡ͵
	//ֱͨдֱ
	ATT=0;
	delay(7);	   
	for(i=0; i<9; i++)	
	{							  //ֽڳ
		spi_write(lx3[i]);
		delay(7);	
	} 
	ATT=1;
	delayms(8); 
	
	//Ƭѡź,ӻͨŵĹҪƬѡ͵
	//ֱͨдֱ
	ATT=0;
	delay(7);	
	for(i=0; i<9; i++)			  //˳ģʽ
	{
		spi_write(lx4[i]);
		delay(7);	
	} 
	ATT=1;
	delayms(8); 		
}

/**
* Function       ReadPS2KeyValue
* @author        Danny
* @date          2017.08.16
* @brief         PS2
* @param         void
* @retval        void
* @par History   
*/	
stPS2KeyValue* ReadPS2KeyValue(void)
{
    
    //Ҫdata[3]data[4]ֱİֵ
	//ֻõǾֲ
	uint funbtn = 0xffff;
	uchar i =0;
	ATT=0;
	for(i=0;i<9;i++)	//ɨ谴
	{
		out[i]=spi_read(scan[i]);	
	} 
	ATT=1;
	//Ѷdata[3]data[4]funbtnȥ
	funbtn = ((uint)out[4] << 8) | out[3];
	//Ѵֱⰴµȡȫֱ
	stPS2->FunBtn = funbtn;
	//5,6,7,8ֱǵҡ
	stPS2->X1 = out[7];
	stPS2->Y1 = out[8];
	stPS2->X2 = out[5];
	stPS2->Y2 = out[6];
	return  stPS2;
}

